PessimisticLockingFailureException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.dao

## Class PessimisticLockingFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.TransientDataAccessException
            - - org.springframework.dao.ConcurrencyFailureException
              - - org.springframework.dao.PessimisticLockingFailureException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CannotAcquireLockException, CannotSerializeTransactionException, DeadlockLoserDataAccessException

      public class PessimisticLockingFailureException
      extends ConcurrencyFailureException

  Exception thrown on a pessimistic locking violation. Thrown by Spring's SQLException translation mechanism if a corresponding database error is encountered.

  Serves as superclass for more specific exceptions, like CannotAcquireLockException and DeadlockLoserDataAccessException.

  Since:
    1.2
  Author:
    Thomas Risberg
  See Also:
    `CannotAcquireLockException`, `DeadlockLoserDataAccessException`, `OptimisticLockingFailureException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PessimisticLockingFailureException(String msg)` Constructor for PessimisticLockingFailureException.
    `PessimisticLockingFailureException(String msg, Throwable cause)` Constructor for PessimisticLockingFailureException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PessimisticLockingFailureException

          public PessimisticLockingFailureException(String msg)

      Constructor for PessimisticLockingFailureException.
      Parameters:
        `msg` - the detail message

    - #### PessimisticLockingFailureException

          public PessimisticLockingFailureException(String msg,
                                            Throwable cause)

      Constructor for PessimisticLockingFailureException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause from the data access API in use